#
# spec file for package snmp (Version 3.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         snmp
Release:      17
Copyright:    Copyright 1988, 1989 by Carnegie Mellon University
Group: 
Provides:     cmu-snmp-linux 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.2
Summary:      CMU SNMP
Source: cmu-snmp-linux-3.2.tar.gz
Patch: cmu-snmp-linux-3.2.dif
%description
SNMP is the Simple Network Management Protocol of the
Internet defined as a standard in RFC 1155 and 1157 and 1901
up to 1908. The protocol allows mainly to retrieve and set
variables, addressed as objects in the MIB (Management
Information Base).  The well-known MIB-2 is defined in RFC
1213 and contains variables related to the TCP/IP protocol
suite. 

Authors:
--------
    Erik Schoenfelder <schoenfr@gaertner.de>

%prep
%setup -n cmu-snmp-linux-3.2
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.snmp
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.snmp and"
  echo "update by hand."
fi
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/snmpd
%dir /usr/include/snmp
%config /etc/snmpd.agentinfo
%config /etc/snmpd.conf
/sbin/init.d/rc2.d/K20snmpd
/sbin/init.d/rc2.d/S20snmpd
/sbin/init.d/rc3.d/K20snmpd
/sbin/init.d/rc3.d/S20snmpd
%config /sbin/init.d/snmpd
/usr/bin/authkey
/usr/bin/snmpget
/usr/bin/snmpgetnext
/usr/bin/snmpnetstat
/usr/bin/snmpset
/usr/bin/snmptest
/usr/bin/snmptrap
/usr/bin/snmpwalk
%doc /usr/doc/packages/snmpd/README
%doc /usr/doc/packages/snmpd/README.linux
%doc /usr/doc/packages/snmpd/README.usec
%doc /usr/doc/packages/snmpd/installconf
/usr/include/snmp/asn1.h
/usr/include/snmp/parse.h
/usr/include/snmp/snmp.h
/usr/include/snmp/snmp_api.h
/usr/include/snmp/snmp_client.h
/usr/include/snmp/snmp_impl.h
/usr/lib/libsnmp.so
/usr/lib/libsnmp.so.3.1
/usr/lib/mib.txt
%doc /usr/man/man1/authkey.1.gz
%doc /usr/man/man1/snmpget.1.gz
%doc /usr/man/man1/snmpgetnext.1.gz
%doc /usr/man/man1/snmpnetstat.1.gz
%doc /usr/man/man1/snmpset.1.gz
%doc /usr/man/man1/snmptest.1.gz
%doc /usr/man/man1/snmptrap.1.gz
%doc /usr/man/man1/snmpwalk.1.gz
%doc /usr/man/man3/snmp_api.3.gz
%doc /usr/man/man5/snmpd.conf.5.gz
%doc /usr/man/man5/variables.5.gz
%doc /usr/man/man8/snmpd.8.gz
%doc /usr/man/man8/snmptrapd.8.gz
/usr/sbin/snmpd
/usr/sbin/snmptrapd
/var/adm/fillup-templates/rc.config.snmp

